package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.RoleAssignRecordAddParam;
import com.zanxiang.game.module.manage.pojo.params.RoleAssignRecordListParam;
import com.zanxiang.game.module.manage.pojo.params.RoleSysUserAssignParam;
import com.zanxiang.game.module.manage.pojo.vo.RoleAssignRecordListVO;
import com.zanxiang.game.module.mybatis.entity.RoleAssignRecord;

/**
 * <p>
 * 角色指派记录表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IRoleAssignRecordService extends IService<RoleAssignRecord> {

    void updateStatusSync();

    IPage<RoleAssignRecordListVO> listOfPage(RoleAssignRecordListParam param);

    boolean deleteById(Long id);

    boolean configSysUser(RoleSysUserAssignParam param);

    boolean modify(RoleAssignRecordAddParam param);
}
